import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PresentationMobileMenu } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2023-06-19 15:29
 */
interface PresentationMobileMenuCU extends ConditionUtil<PresentationMobileMenuCU> {
    ID: FieldUtil<PresentationMobileMenuCU>;
    TEXT: FieldUtil<PresentationMobileMenuCU>;
    LEVEL: FieldUtil<PresentationMobileMenuCU>;
    PARENT_ID: FieldUtil<PresentationMobileMenuCU>;
    SORT: FieldUtil<PresentationMobileMenuCU>;
    TYPE: FieldUtil<PresentationMobileMenuCU>;
    ICON: FieldUtil<PresentationMobileMenuCU>;
    CONTENT: FieldUtil<PresentationMobileMenuCU>;
    SUB_TEXT: FieldUtil<PresentationMobileMenuCU>;
}
declare class PresentationMobileMenuMU extends TableUtilImpl<PresentationMobileMenuCU, PresentationMobileMenu> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PresentationMobileMenuCU;
    static get ID(): FieldUtil<PresentationMobileMenuCU>;
    static get TEXT(): FieldUtil<PresentationMobileMenuCU>;
    static get LEVEL(): FieldUtil<PresentationMobileMenuCU>;
    static get PARENT_ID(): FieldUtil<PresentationMobileMenuCU>;
    static get SORT(): FieldUtil<PresentationMobileMenuCU>;
    static get TYPE(): FieldUtil<PresentationMobileMenuCU>;
    static get ICON(): FieldUtil<PresentationMobileMenuCU>;
    static get CONTENT(): FieldUtil<PresentationMobileMenuCU>;
    static get SUB_TEXT(): FieldUtil<PresentationMobileMenuCU>;
    get ID(): FieldUtil<PresentationMobileMenuCU>;
    get TEXT(): FieldUtil<PresentationMobileMenuCU>;
    get LEVEL(): FieldUtil<PresentationMobileMenuCU>;
    get PARENT_ID(): FieldUtil<PresentationMobileMenuCU>;
    get SORT(): FieldUtil<PresentationMobileMenuCU>;
    get TYPE(): FieldUtil<PresentationMobileMenuCU>;
    get ICON(): FieldUtil<PresentationMobileMenuCU>;
    get CONTENT(): FieldUtil<PresentationMobileMenuCU>;
    get SUB_TEXT(): FieldUtil<PresentationMobileMenuCU>;
}
export { PresentationMobileMenuMU, PresentationMobileMenuCU };
